Bug 486720 - installing local package with Asian unicode chars in path gives "An internal system errer has occurred"
installing local package with Asian unicode chars in path gives "An internal ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-02-21 08:00 EST by sangu
Modified: 2009-04-16 15:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-16 15:54:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Click RPM Package in Path with Asian unicode chars. (97.96 KB, image/png)
2009-04-02 04:45 EDT, sangu
no flags Details
upstream fix (1.21 KB, patch)
2009-04-02 06:32 EDT, Richard Hughes
no flags Details | Diff

  None (edit)
Description sangu 2009-02-21 08:00:59 EST
Description of problem:
Message in Error dialog

Error Type: <type 'exceptions.UnicodeDecodeError'>
Error Value: 'ascii' codec can't decode byte 0xeb in position 63: ordinal not in range(128)
  File : /usr/lib/python2.6/site-packages/yum/rpmtrans.py, line 370, in callback
    self._instProgress( bytes, total, h )
  File : /usr/lib/python2.6/site-packages/yum/rpmtrans.py, line 454, in _instProgress
    self.complete_actions, self.total_actions)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2458, in event
    self._showName(self.info_actions[action])
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2450, in _showName
    self.base.package(package_id, status, self.curpkg.summary)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 264, in package
    PackageKitBaseBackend.package(self, package_id, status, summary)
  File : /usr/lib/python2.6/site-packages/packagekit/backend.py, line 124, in package
    print >> sys.stdout, "package\t$s\t$s\t$s" $ (status, package_id, summary)

Version-Release number of selected component (if applicable):
0.4.3-1.fc11

How reproducible:
always

Steps to Reproduce:
1. Download a rpm file in a Korean name directory.
2. Click the rpm file
3.
  
Actual results:


Expected results:


Additional info:
yum-3.2.21-9.fc11.noarch
python-2.6-4.fc11.x86_64
Comment 1 Richard Hughes 2009-04-02 04:08:42 EDT
Can you please describe exactly what you were doing, and a way to reproduce this. Thanks.
Comment 2 sangu 2009-04-02 04:45:24 EDT
Created attachment 337750 [details]
Click RPM Package in Path with Asian unicode chars.

(In reply to comment #1)
> Can you please describe exactly what you were doing, and a way to reproduce
> this. Thanks.  

1. Make Path with Asian unicode chars.
ex) $ mkdir 다운로드
2. Click the Folder in nautilus
3. Download a RPM Package into the Folder.
4. Click the RPM Package.
Comment 3 Richard Hughes 2009-04-02 06:32:43 EDT
Created attachment 337766 [details]
upstream fix

This is the fix I've pushed upstream. I'll build a new rawhide rpm now.
Comment 4 Richard Hughes 2009-04-02 06:37:27 EDT
Can you test http://koji.fedoraproject.org/koji/taskinfo?taskID=1272612 please. Thanks.

Note You need to log in before you can comment on or make changes to this bug.